aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.AddUserToGroup

Synopsis

- data AddUserToGroup = AddUserToGroup {
  - autgGroupName :: Text
  - autgUserName :: Text
  }
- data AddUserToGroupResponse = AddUserToGroupResponse

# Documentation

data AddUserToGroup Source #

Adds the specified user to the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_AddUserToGroup.html

Constructors

AddUserToGroup |

Fields

- autgGroupName :: Text

  Name of the group to update.

- autgUserName :: Text

  The of the user to add.

#### Instances

Instances details

SignQuery AddUserToGroup Source # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ServiceConfiguration AddUserToGroup |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ServiceConfiguration AddUserToGroup = IamConfiguration

Methods

signQuery :: AddUserToGroup -> ServiceConfiguration AddUserToGroup queryType -> SignatureData -> SignedQuery Source #

Show AddUserToGroup Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods showsPrec :: Int -> AddUserToGroup -> ShowS Source # show :: AddUserToGroup -> String Source # showList :: [AddUserToGroup] -> ShowS Source #
Eq AddUserToGroup Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods (==) :: AddUserToGroup -> AddUserToGroup -> Bool Source # (/=) :: AddUserToGroup -> AddUserToGroup -> Bool Source #
Ord AddUserToGroup Source # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Methods

compare :: AddUserToGroup -> AddUserToGroup -> Ordering Source #

(<) :: AddUserToGroup -> AddUserToGroup -> Bool Source #

(<=) :: AddUserToGroup -> AddUserToGroup -> Bool Source #

(>) :: AddUserToGroup -> AddUserToGroup -> Bool Source #

(>=) :: AddUserToGroup -> AddUserToGroup -> Bool Source #

max :: AddUserToGroup -> AddUserToGroup -> AddUserToGroup Source #

min :: AddUserToGroup -> AddUserToGroup -> AddUserToGroup Source #

ResponseConsumer AddUserToGroup AddUserToGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ResponseMetadata AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> AddUserToGroup -> IORef (ResponseMetadata AddUserToGroupResponse) -> HTTPResponseConsumer AddUserToGroupResponse Source #

Transaction AddUserToGroup AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup
type ServiceConfiguration AddUserToGroup Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ServiceConfiguration AddUserToGroup = IamConfiguration

data AddUserToGroupResponse Source #

Constructors

AddUserToGroupResponse |

#### Instances

Instances details

AsMemoryResponse AddUserToGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type MemoryResponse AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type MemoryResponse AddUserToGroupResponse = AddUserToGroupResponse

Methods

loadToMemory :: AddUserToGroupResponse -> ResourceT IO (MemoryResponse AddUserToGroupResponse) Source #

Show AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods showsPrec :: Int -> AddUserToGroupResponse -> ShowS Source # show :: AddUserToGroupResponse -> String Source # showList :: [AddUserToGroupResponse] -> ShowS Source #
Eq AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods (==) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool Source # (/=) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool Source #
Ord AddUserToGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Methods

compare :: AddUserToGroupResponse -> AddUserToGroupResponse -> Ordering Source #

(<) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool Source #

(<=) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool Source #

(>) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool Source #

(>=) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool Source #

max :: AddUserToGroupResponse -> AddUserToGroupResponse -> AddUserToGroupResponse Source #

min :: AddUserToGroupResponse -> AddUserToGroupResponse -> AddUserToGroupResponse Source #

ResponseConsumer AddUserToGroup AddUserToGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ResponseMetadata AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> AddUserToGroup -> IORef (ResponseMetadata AddUserToGroupResponse) -> HTTPResponseConsumer AddUserToGroupResponse Source #

Transaction AddUserToGroup AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup
type MemoryResponse AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type MemoryResponse AddUserToGroupResponse = AddUserToGroupResponse
type ResponseMetadata AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata